Skip to content
Ona Docs

ListGateways

POST/gitpod.v1.GatewayService/ListGateways

ListGateways

Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
ReturnsExpand Collapse
gateways: array of Gateway { name, url, region }

gateways contains the list of gateways

name: string

name is the human-readable name of the gateway. name is unique across all gateways.

url: string

url of the gateway

region: optional string

region is the geographical region where the gateway is located

ListGateways

curl https://app.gitpod.io/api/gitpod.v1.GatewayService/ListGateways \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "gateways": [
    {
      "name": "name",
      "url": "url",
      "region": "region"
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}
Returns Examples
{
  "gateways": [
    {
      "name": "name",
      "url": "url",
      "region": "region"
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}